import React, { Component } from 'react';
import style from './index.less';

class GeneralTreat extends Component {
    constructor(props){
        super(props);
    }

    render() {
        const { icon, titleBg, filter, title, generalTreat } = this.props
        return(
            generalTreat && generalTreat.length > 0 && <div className={style['general-wrapper']}>
                <div className={style['general-title']} style={{background: titleBg,filter:filter}}><img className={style['general-icon']} src={icon}/>{title}</div>
                <div className={style['general-item']} dangerouslySetInnerHTML={{__html: generalTreat}}>
                </div>

            </div>
        )
    }

}

export default GeneralTreat;